%define _legacy_common_support 1

%define abi		0
%define libname		%mklibname cuneiform %{abi}
%define develname	%mklibname cuneiform -d

# datafiles must have DOS-style EOL
%define dont_fix_eol	1

Name:		cuneiform-linux
Summary:	A command-line OCR system
Version:	1.1.0
%define 	subrel 1
Release:	%mkrel 18
License:	BSD
URL:		https://launchpad.net/cuneiform-linux
Group:		Text tools
Source0:	http://launchpad.net/cuneiform-linux/1.1/1.1/+download/%{name}-%{version}.tar.bz2
Patch0:		cuneiform-size4to5.patch
Patch1:		cuneiform-linux-1.1.0-gcc7.patch
Patch2:		cttypes.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(Magick++)

%description
Cuneiform is a multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

%package -n %{libname}
Summary:	Cuneiform OCR system shared libraries
Group:		System/Libraries

%description -n %{libname}
Cuneiform is a multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

%package -n %{develname}
Summary:	Cuneiform development files
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	pkgconfig(Magick++)

%description -n %{develname}
Cuneiform is a multi-language OCR system originally developed
and open sourced by Cognitive Technologies. Cuneiform was
originally a Windows program, which was ported to Linux
by Jussi Pakkanen.

This package contains files required only for development purpose.

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
cp original\ russian\ readme.rtf original_russian_readme.rtf

%cmake_install

%files
# cuneiform_src/Kern/license.txt is in Russian
%doc issues.txt original_russian_readme.rtf readme.txt cuneiform_src/Kern/license.txt
%{_bindir}/cuneiform
%{_datadir}/cuneiform/*.dat

%files -n %{libname}
%{_libdir}/*.so.%{abi}{,.*}
%{_libdir}/*.so.%{version}

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/cuneiform.h


%changelog
* Sat Feb 27 2021 neoclust <neoclust> 1.1.0-18.1.mga8
+ Revision: 1692846
- Rebuild against new imagemagick

* Wed Aug 19 2020 martinw <martinw> 1.1.0-18.mga8
+ Revision: 1615892
- fix build with GCC 10

* Tue Feb 18 2020 umeabot <umeabot> 1.1.0-17.mga8
+ Revision: 1541588
- Mageia 8 Mass Rebuild

* Mon Dec 30 2019 kekepower <kekepower> 1.1.0-16.mga8
+ Revision: 1474983
- Use new cmake macros
- Rebuild for new imagemagick

* Sun Oct 07 2018 pterjan <pterjan> 1.1.0-15.mga7
+ Revision: 1318319
- Fix build
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 1.1.0-14.mga7
+ Revision: 1224484
- Rebuild for ImageMagic 7.0.7.29

* Sun Jan 21 2018 wally <wally> 1.1.0-13.mga7
+ Revision: 1195472
- fix devel pkg requires

* Sun Jan 21 2018 wally <wally> 1.1.0-12.mga7
+ Revision: 1195349
- rebuild for new imagemagick

* Wed Dec 27 2017 wally <wally> 1.1.0-11.mga7
+ Revision: 1185710
- rebuild for new imagemagick

* Thu Sep 28 2017 cjw <cjw> 1.1.0-10.mga7
+ Revision: 1160892
- patch1: fix build with gcc 7

* Sun May 28 2017 shlomif <shlomif> 1.1.0-9.mga6
+ Revision: 1105249
- rebuild for new imagemagick lib-major + cleanups

* Thu Feb 11 2016 umeabot <umeabot> 1.1.0-8.mga6
+ Revision: 953650
- Mageia 6 Mass Rebuild

* Mon Aug 31 2015 cjw <cjw> 1.1.0-7.mga6
+ Revision: 871568
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-6.mga6
+ Revision: 749302
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.1.0-5.mga5
+ Revision: 693706
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 678616
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 fwang <fwang> 1.1.0-3.mga5
+ Revision: 666772
- rebuild for imagemagick

* Mon Apr 07 2014 alexl <alexl> 1.1.0-2.mga5
+ Revision: 612698
- fix Requires for devel package

* Mon Apr 07 2014 alexl <alexl> 1.1.0-1.mga5
+ Revision: 612608
- imported package cuneiform-linux

